﻿using IStation.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IStation.Application
{
    /// <summary>
    /// 添加附件
    /// </summary>
    public class AddAttachmentFileInput
    {

        /// <summary>
        /// 客户标识
        /// </summary>	
        public long CorpID { get; set; }

        /// <summary>
        /// 附加类型
        /// </summary>	
        public string AttachType { get; set; }

        /// <summary>
        /// 附加标识
        /// </summary>	
        public long AttachID { get; set; }

        /// <summary>
        /// 组名称
        /// </summary>	
        public string GroupName { get; set; }

        /// <summary>
        /// 文件名称
        /// </summary>	
        public string FileName { get; set; }

        /// <summary>
        /// 文件格式
        /// </summary>	
        public eFileFormat FileFormat { get; set; }

        /// <summary>
        /// 文件大小
        /// </summary>	
        public double FileSize { get; set; }

        /// <summary>
        /// 文件后缀
        /// </summary>	
        public string FileSuffix { get; set; }

        /// <summary>
        /// 上传人标识
        /// </summary>	
        public long UploadUserID { get; set; }

        /// <summary>
        /// 存储仓库
        /// </summary>	
        public string StorageHouse { get; set; }

        /// <summary>
        /// 存储编码
        /// </summary>	
        public string StorageCode { get; set; }

        /// <summary>
        /// 标签名称
        /// </summary>	
        public string TagName { get; set; }

        /// <summary>
        /// 终端标识
        /// </summary>	
        public string TerminalId { get; set; }

        /// <summary>
        /// 排序码
        /// </summary>	
        public int SortCode { get; set; }

        /// <summary>
        /// 备注
        /// </summary>	
        public string Description { get; set; }
    }
}
